## ecb 0.1

=== DESCRIPTION ===
Package: ecb
Type: Package
Title: Programmatic Access to the European Central Bank's Statistical
        Data Warehouse (SDW)
Version: 0.1
Date: 2015-12-10
Authors@R: person("Eric", "Persson", email = "expersso5@gmail.com",
    role = c("aut", "cre"))
Description: Provides an interface to the European Central Bank's Statistical
    Data Warehouse API, allowing for programmatic retrieval of a vast quantity
    of statistical data.
License: CC0
URL: https://sdw.ecb.europa.eu/ https://www.ecb.int
LazyData: TRUE
Suggests: knitr, rmarkdown, dplyr, ggplot2
Imports: curl, rsdmx, xml2, httr
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2015-12-11 15:14:47 UTC; persson
Author: Eric Persson [aut, cre]
Maintainer: Eric Persson <expersso5@gmail.com>
Repository: CRAN
Date/Publication: 2015-12-11 16:50:08
