## ecb 0.2

=== DESCRIPTION ===
Package: ecb
Type: Package
Title: Programmatic Access to the European Central Bank's Statistical
        Data Warehouse (SDW)
Version: 0.2
Date: 2016-03-17
Authors@R: person("Eric", "Persson", email = "expersso5@gmail.com",
    role = c("aut", "cre"))
Description: Provides an interface to the European Central Bank's Statistical
    Data Warehouse API, allowing for programmatic retrieval of a vast quantity
    of statistical data.
License: CC0
URL: https://sdw.ecb.europa.eu/ https://www.ecb.int
LazyData: TRUE
Suggests: knitr, rmarkdown, dplyr, ggplot2, testthat
Imports: curl, rsdmx, xml2, httr
VignetteBuilder: knitr
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-03-18 09:02:12 UTC; persson
Author: Eric Persson [aut, cre]
Maintainer: Eric Persson <expersso5@gmail.com>
Repository: CRAN
Date/Publication: 2016-03-18 11:57:31
