## ecb 0.4.0

=== DESCRIPTION ===
Package: ecb
Type: Package
Title: Programmatic Access to the European Central Bank's Statistical
        Data Warehouse
Version: 0.4.0
Date: 2021-04-01
Authors@R: person("Eric", "Persson", email = "expersso5@gmail.com",
    role = c("aut", "cre"))
Description: Provides an interface to the European Central Bank's Statistical
    Data Warehouse API, allowing for programmatic retrieval of a vast quantity
    of statistical data.
License: CC0
URL: https://sdw.ecb.europa.eu/
Suggests: knitr, rmarkdown, dplyr, lubridate, ggplot2, testthat, zoo
Imports: curl, rsdmx, xml2, httr
VignetteBuilder: knitr
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2021-04-01 19:56:50 UTC; persson
Author: Eric Persson [aut, cre]
Maintainer: Eric Persson <expersso5@gmail.com>
Repository: CRAN
Date/Publication: 2021-04-01 21:30:06 UTC
