## ecb 0.4.1

=== DESCRIPTION ===
Package: ecb
Type: Package
Title: Programmatic Access to the European Central Bank's Statistical
        Data Warehouse
Version: 0.4.1
Date: 2022-12-15
Authors@R: person("Eric", "Persson", email = "expersso5@gmail.com",
    role = c("aut", "cre"))
Description: Provides an interface to the 'European Central Bank's Statistical
    Data Warehouse' API <https://sdw.ecb.europa.eu/>, allowing for programmatic 
    retrieval of a vast quantity of statistical data.
License: CC0
URL: https://sdw.ecb.europa.eu/
Suggests: knitr, rmarkdown, dplyr, lubridate, ggplot2, testthat, zoo
Imports: curl, rsdmx, xml2, httr
VignetteBuilder: knitr
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2022-12-15 10:38:21 UTC; persson
Author: Eric Persson [aut, cre]
Maintainer: Eric Persson <expersso5@gmail.com>
Repository: CRAN
Date/Publication: 2022-12-15 11:20:03 UTC
