## ecb 0.4.2

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Programmatic Access to the European Central Bank's Statistical
         Data Warehouse
-Version: 0.4.1
-Date: 2022-12-15
+Version: 0.4.2
+Date: 2023-04-20
 Authors@R: person("Eric", "Persson", email = "expersso5@gmail.com",
     role = c("aut", "cre"))
 Description: Provides an interface to the 'European Central Bank's Statistical
@@ -16,8 +16,8 @@
 VignetteBuilder: knitr
 RoxygenNote: 7.1.1
 NeedsCompilation: no
-Packaged: 2022-12-15 10:38:21 UTC; persson
+Packaged: 2023-04-20 08:03:43 UTC; persson
 Author: Eric Persson [aut, cre]
 Maintainer: Eric Persson <expersso5@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-12-15 11:20:03 UTC
+Date/Publication: 2023-04-20 16:32:34 UTC
