## ecb 2.32

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # This Makefile byte-compiles the ECB lisp files and generates online-help.
 
-# Copyright (C) 2000 - 2003 Jesper Nordenberg,
+# Copyright (C) 2000 - 2005 Jesper Nordenberg,
 #                           Klaus Berndl,
 #                           Kevin A. Burton,
 #                           Free Software Foundation, Inc.
@@ -26,7 +26,7 @@
 # GNU Emacs; see the file COPYING.  If not, write to the Free Software
 # Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 
-# $Id: Makefile,v 1.96 2004/08/18 16:07:18 berndl Exp $
+# $Id: Makefile,v 1.106 2005/04/19 15:29:31 berndl Exp $
 
 
 # ========================================================================
@@ -53,7 +53,7 @@
 
 #CEDET=
 CEDET=c:/Programme/emacs-21/site-lisp/package-development/cedet
-#CEDET=c:/Programme/emacs-21/site-lisp/multi-file-packages/cedet-1.0beta3b
+#CEDET=c:/Programme/emacs-21/site-lisp/multi-file-packages/cedet-1.0beta2b
 
 # -------- Compiling ECB with the semantic < 2.0 -------------------------
 
@@ -144,11 +144,11 @@
 
 # Do not change anything below!
 
-# $Id: Makefile,v 1.96 2004/08/18 16:07:18 berndl Exp $
+# $Id: Makefile,v 1.106 2005/04/19 15:29:31 berndl Exp $
 
 # For the ECB-maintainers: Change the version-number here and not
 # elsewhere!
-ecb_VERSION=2.27
+ecb_VERSION=2.32
 
 include ecb-makedef.mk
 
@@ -228,7 +228,7 @@
 
 install-help: $(ecb_INFO_DIR)/$(ecb_INFO)
 	@if test -x "$(INSTALLINFO)" -a -f "$(EMACSINFOPATH)/dir"; then\
-	   echo Installing the Online-help in $(INSTALLINFO)...; \
+	   echo Installing the Online-help in $(EMACSINFOPATH)...; \
 	   $(CP) $(ecb_INFO_DIR)/*info* $(EMACSINFOPATH); \
 	   $(INSTALLINFO) $< $(EMACSINFOPATH)/dir; \
 	else \
