## ecb 2.40%2Bcvs20110608

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,12 @@
 # This Makefile byte-compiles the ECB lisp files and generates online-help.
 
-# Copyright (C) 2000 - 2005 Jesper Nordenberg,
+# Copyright (C) 2000 - 2010 Jesper Nordenberg,
 #                           Klaus Berndl,
-#                           Kevin A. Burton,
 #                           Free Software Foundation, Inc.
 
 # Author: Jesper Nordenberg <mayhem@home.se>
 #         Klaus Berndl <klaus.berndl@sdm.de>
-#         Kevin A. Burton <burton@openprivacy.org>
 # Maintainer: Klaus Berndl <klaus.berndl@sdm.de>
-#             Kevin A. Burton <burton@openprivacy.org>
 # Keywords: browser, code, programming, tools
 # Created: 2001
 
@@ -26,7 +23,7 @@
 # GNU Emacs; see the file COPYING.  If not, write to the Free Software
 # Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 
-# $Id: Makefile,v 1.106 2005/04/19 15:29:31 berndl Exp $
+# $Id: Makefile,v 1.119 2010/02/22 16:33:42 berndl Exp $
 
 
 # ========================================================================
@@ -43,37 +40,19 @@
 # In the following path-settings of this section use always FORWARD-SLASHES
 # as directory-separator even with MS Windows systems.
 
-# -------- Compiling ECB with the cedet-library 1.0 ----------------------
-
-# cedet 1.0 (contains a.o. semantic 2.0, eieio 0.18 and speedbar 0.15). If
-# you want compile ECB with the cedet library then set here the full path
-# to the cedet-installation directory. If you do not want using the
-# cedet-suite but separate semantic-, eieio- and speedbar-pathes set this
-# variable to empty.
+# -------- Compiling ECB with the cedet-library ----------------------
+
+# cedet >= 1.0pre6 (contains a.o. semantic >= 2.0, eieio >= 0.18 and
+# speedbar >= 0.15).
+#
+# + If you use Emacs >= 23.2 and you want to use the integrated CEDET:
+#   Set this to empty (CEDET=)
+#
+# + If you use Emacs < 23.2 or if you want to use the author version of CEDET:
+#   Set this to the full path of your CEDET-installation.
 
 #CEDET=
-CEDET=c:/Programme/emacs-21/site-lisp/package-development/cedet
-#CEDET=c:/Programme/emacs-21/site-lisp/multi-file-packages/cedet-1.0beta2b
-
-# -------- Compiling ECB with the semantic < 2.0 -------------------------
-
-# If you do not want compiling ECB with the cedet1.0-library then do not
-# set CEDET above!
-
-# If semantic, eieio and speedbar are added to load-path within some
-# Elisp-statements in the Emacs initialization-files (e.g. .emacs or
-# site-start.el) then set here again the load-path of the semantic-version,
-# the eieio-version and the speedbar-version loaded into your Emacs. Make
-# sure you compile ECB with the semantic-, eieio- and speedbar-version you
-# load into Emacs!
-
-# If you are using XEmacs with already installed XEmacs-packages for
-# semantic, eieio and speedbar or if you are using a file subdirs.el with
-# GNU Emacs which adds semantic, eieio and speedbar then there is NO need
-# to set the load-path for semantic, eieio or speedbar.
-SEMANTIC=
-EIEIO=
-SPEEDBAR=
+CEDET=c:/Programme/emacs-23.1/site-lisp/package-development/cedet
 
 # You can set here more load-paths to arbitrary packages if you want. But
 # this is really not necessary!
@@ -83,16 +62,7 @@
 # - Call "make" to byte-compile the ECB. You can savely ignore the messages.
 # - Or call
 #
-#      make EMACS="path/to/emacs"
-#
-#      or
-#
-#      make CEDET="path/to/cedet"           (for compiling with cedet 1.0)
-#
-#      or
-#
-#      make SEMANTIC="path/to/semantic" EIEIO="path/to/eieio" \
-#           SPEEDBAR="path/to/speedbar "EMACS="path/to/emacs"
+#      make [EMACS="path/to/emacs"] [CEDET="path/to/cedet" or empty]
 #
 #   if you want to set either different load-paths or Emacs-binary and
 #   you do not want edit the Makefile. Do not forget quoting the arguments
@@ -130,7 +100,7 @@
 
 # Set here the path of the info subdirectory of your (X)Emacs installation
 # which contains the dir file.
-EMACSINFOPATH=/C/Programme/emacs-21/info
+EMACSINFOPATH=/C/Programme/emacs-22.3/info
 
 # If you want to install the info-format of the online-help in the
 # Top-directory of the info-directory of (X)Emacs (see above EMACSINFOPATH)
@@ -142,13 +112,17 @@
 # end of user configurable section
 # ========================================================================
 
-# Do not change anything below!
-
-# $Id: Makefile,v 1.106 2005/04/19 15:29:31 berndl Exp $
+
+# ========================================================================
+# !!!!!!!!!!!!!!!!!!!!! Do not change anything below !!!!!!!!!!!!!!!!!!!!!
+# ========================================================================
+
+
+# $Id: Makefile,v 1.119 2010/02/22 16:33:42 berndl Exp $
 
 # For the ECB-maintainers: Change the version-number here and not
 # elsewhere!
-ecb_VERSION=2.32
+ecb_VERSION=2.41
 
 include ecb-makedef.mk
 
@@ -159,15 +133,8 @@
 	@if test ! -z "${CEDET}"; then\
 	   echo "(load-file \"$(CEDET)/common/cedet.el\")" >> ecb-compile-script; \
 	else \
-	   if test ! -z "${SEMANTIC}"; then\
-	      echo "(add-to-list 'load-path \"$(SEMANTIC)\")" >> ecb-compile-script; \
-	   fi; \
-	   if test ! -z "${EIEIO}"; then\
-	      echo "(add-to-list 'load-path \"$(EIEIO)\")" >> ecb-compile-script; \
-	   fi; \
-	   if test ! -z "${SPEEDBAR}"; then\
-	      echo "(add-to-list 'load-path \"$(SPEEDBAR)\")" >> ecb-compile-script; \
-	   fi; \
+	   echo "(semantic-mode 1)" >> ecb-compile-script; \
+	   echo "(require 'semantic/bovine/el)" >> ecb-compile-script; \
 	fi
 	@if test ! -z "${LOADPATH}"; then\
 	   for loadpath in ${LOADPATH}; do \
@@ -178,7 +145,6 @@
 	@echo "(setq debug-on-error t)" >> ecb-compile-script
 	$(EBATCH) -l ecb-compile-script --eval '(ecb-byte-compile t)'
 	@$(RM) ecb-compile-script
-
 
 all: ecb online-help
