=== debian/changelog ===
ecb (2.40+cvs20110608-3) unstable; urgency=low

  * add temporary conflicts on cedet-common, cogre (Closes: #657765)

 -- Mike O'Connor <stew@debian.org>  Tue, 07 Feb 2012 19:23:28 -0500

ecb (2.40+cvs20110608-2) unstable; urgency=low

  * add temporary conflicts on cedet (Closes: #644185)

 -- Mike O'Connor <stew@debian.org>  Tue, 01 Nov 2011 09:23:54 -0400

ecb (2.40+cvs20110608-1) unstable; urgency=low

  * New Maintainer
  * new upstream release (Closes: #548854)
  * add Homepage field to control (Closes: #615403)
  * remove obsolete dependencies (Closes: #617303)
  * convert to 3.0 (quilt)
  * convert to dh7
  * change dependency from emacs21 to emacs23
  * add dependency on install-info
  * add dependency on texinfo
  * add ${misc:Depends}
  * change doc-base section to Programming
  * upgrade Standards-Version to 3.9.2

 -- Mike O'Connor <stew@debian.org>  Wed, 08 Jun 2011 11:20:27 -0400

ecb (2.32-1) unstable; urgency=low

  * debian/control
    Remove dependency to build PDF and html files.
  * debian/emacsen-startup:
    Change back to (require 'ecb-autoloads) for quick loading.
  * Drop pdf file installation by default.
  * Depend on cogre and cedet-contrib.
  * Drop jde as suggests

  Cai Qian <caiqian@debian.org>  Sat, 3 Jue 2006 23:33:00 +0100

  * New upstream release. (Closes: #289090, #269793, #292356)
  * New maintainer (Closes: #321808).
  * Change build system to use CDBS + debhelper.
  * debian/rules:
    - Remove extraneous .cvsignore files and bash scripts.
      (Closes: #301939)
    - dh_link now placed in debian/links .
    - Handle doc installation via DEB_INSTALL_DOCS_ALL , remove
      debian/docs .
  * debian/patches:
    - Add 10_Makefile_adjust.patch (old fixes)
  * debian/control:
    - Bump Standards-Version.
    - Adjust debhelper dependency to (>= 5.0.7).
    - Add homepage to long description.
    - Add cdbs and debhelper to Build-Depends.
    - Rewrite description synopsis.
  * debian/copyright:
    - Add notice from ecb.el . Must ping upstream to update FSF
      address.
  * debian/emacsen-install:
    - Get ecb to find its images by properly linking to
      /usr/share/emacs/site-lisp/ecb/ecb-images (Closes: #272506)
  * debian/emacsen-startup:
    - Use (require 'ecb) instead of (require 'ecb-autoloads) so we
      can call ECB from the Tools menu (Closes: #296794)

 -- Zak B. Elep <zakame@spunge.org>  Tue, 16 May 2006 00:20:55 +0800

ecb (2.27-2) unstable; urgency=low

  * Orphaning package

 -- Joerg Jaspert <joerg@debian.org>  Sun,  7 Aug 2005 19:33:59 +0200

ecb (2.27-1) unstable; urgency=low

  * And include latest Upstream too...

 -- Joerg Jaspert <joerg@debian.org>  Wed,  1 Sep 2004 22:15:18 +0200

ecb (2.26-2) unstable; urgency=low

  * Bug fix: "ecb-activate fails without (require 'cedet)", thanks to
    David Porter (Closes: #269368).

 -- Joerg Jaspert <joerg@debian.org>  Wed,  1 Sep 2004 22:06:39 +0200

ecb (2.26-1) unstable; urgency=low

  * New Upstream Version (Closes: #258089).
  * Bug fix: "Missing `ecb-images' dir for tree-buffers with images",
    thanks to Su Yong (Closes: #250014).

 -- Joerg Jaspert <joerg@debian.org>  Mon, 16 Aug 2004 22:56:23 +0200

ecb (2.21-1) unstable; urgency=low

  * New Upstream Version (Closes: #231773).
  * Bug fix: "ecb: source dir on load path", thanks to Ian Zimmerman
    (Closes: #223811).

 -- Joerg Jaspert <joerg@debian.org>  Mon, 16 Feb 2004 23:16:24 +0100

ecb (2.01-1) unstable; urgency=low

  * Yes, New Upstream Version
   - Bug fix: "ecb: Cannot activate winner-mode in Emacs 21. ", thanks to
     Matt Hodges (Closes: #180848).
  * Added speedbar | speedbar beta to Depends.
  * Standards 3.6.1
  * Bug fix: "ecb: postinst script fails with xemacs21", thanks to Laurent
    Bonnaud. At least it works on 4 different test machines i have
    access to. (Closes: #185316).
  * Bug fix: "ecb: does too much in site-start.d script", thanks to Ian
    Zimmerman. It now only requires ecb-autoloads. (Closes: #216267).
  * Bug fix: "ecb-show-help command doesn't know where the help is",
    thanks to James Knight. I modify the variable for the location
    of the info file now in ecb startup script. As thats loaded before user
    configuration it doesnt hurt and user can still change it - even if i dont
    know why he would want to do it. (Closes: #184789).

 -- Joerg Jaspert <joerg@debian.org>  Mon, 10 Nov 2003 23:23:33 +0100

ecb (1.90.cvs20030209-1) unstable; urgency=low

  * Newest CVS.
  * Standards 3.5.8

 -- Joerg Jaspert <joerg@debian.org>  Sun,  9 Feb 2003 16:00:31 +0100

ecb (1.80.cvs20030105-1) unstable; urgency=low

  * Newest CVS.

 -- Joerg Jaspert <joerg@debian.org>  Sun,  5 Jan 2003 16:12:19 +0100

ecb (1.80.cvs20021113-1) unstable; urgency=low

  * Now look at 1.90 CVS guys.
  * Toggled priority of load-path elements, now compiled
    files are first ones. (closes: #168679)

 -- Joerg Jaspert <joerg@debian.org>  Wed, 13 Nov 2002 22:19:20 +0100

ecb (1.80.cvs20021010-2) unstable; urgency=low

  * The "Someone should shutdown the BTS, I hate Bugs" release. :)
  * Dont fail in emacsen-startup if ecb is removed but not
    purged (closes: #166021)

 -- Joerg Jaspert <joerg@debian.org>  Wed, 23 Oct 2002 14:03:38 +0200

ecb (1.80.cvs20021010-1) unstable; urgency=low

  * Use latest CVS checkout.
  * Standards-Version: 3.5.7.0
  * Add the uncompiled lisp files to the load-path too.
  * Install the documentation. (closes: Bug#159933)
  * We are Arch: All, so built it in indep.
  * This one installs with xemacs21 (tested with xemacs21-mule)
    (closes: #157945)
  * It also worked with this xemacs21-mule so it (closes: #159934).
  
 -- Joerg Jaspert <joerg@debian.org>  Sat, 12 Oct 2002 18:24:28 +0200

ecb (1.80-1) unstable; urgency=low

  * New Upstream version.
   - If you used ecb before see the Readme.Debian please.
   - For detailed infos whats changed see the HISTORY. Its to big (112 lines)
     for this changelog.

 -- Joerg Jaspert <joerg@debian.org>  Tue, 20 Aug 2002 22:46:45 +0200


