=== debian/control ===
Source: ecb
Section: devel
Priority: optional
Maintainer: Mike O'Connor <stew@debian.org>
Build-Depends: debhelper (>= 7.0.50~), emacs23 | emacsen, texinfo
Standards-Version: 3.9.2
Vcs-Git: git://git.vireo.org/ecb.git
Vcs-Browser: http://git.vireo.org/ecb.git

Package: ecb
Architecture: all
Depends: emacs23 | emacsen, ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Conflicts: cedet, cedet-common, cogre
Homepage: http://ecb.sourceforge.net
Description: code browser for Emacs supporting several languages
 ECB is source code browser for Emacs. It is a global
 minor-mode which displays a couple of windows that can
 be used to browse directories, files and methods.
 It supports method parsing for Java, C, C++, Elisp etc.
 .
